/* = header.css
--------------------------------------------------- */

<?php $sitename = Padd_Theme_Option::get('sitename_mode','0'); ?>
/** Branding **/
<?php if ('0' == $sitename) : ?>
#branding {
	margin: 0;
	padding: 0;
	float: left;
	height: 86px;
}
#branding h1 {
	display: block;
	margin: 0;
	padding: 0;
}
#branding h1 a {
	display: block;
	margin: 0;
	padding: 0;
	font: normal 45px/86px 'Leckerli One', serif;
	text-shadow: #fff 1px 1px;
}
#branding h1 a:hover {
	text-decoration: none;
}
<?php else : ?>
<?php
	$image = Padd_Theme_Option::get('sitename_logo_url');
	$val = getimagesize($image);
?>
#branding {
	margin: 0;
	padding: 0;
	float: left;
	width: <?php echo $val[0]; ?>px;
	height: <?php echo $val[1]; ?>px;
}
#branding h1 {
	display: block;
	margin: 0;
	padding: 0;
}
#branding h1 a {
	display: block;
	margin: 0;
	padding: 0;
	height: <?php echo $val[1]; ?>px;
	text-indent: -99999px;
	background: transparent url('<?php echo $image; ?>') left center no-repeat;
}
<?php endif; ?>
#branding h2 {
	display: none;
}

/** Menu Bar **/
#header .widget_socialnet {
	margin: 27px 0 0 0;
	float: right;
}
#header .widget_socialnet ul {
	list-style: none;
	display: block;
	margin: 0;
	padding: 0;
	height: 27px;
}
#header .widget_socialnet li {
	display: block;
	margin: 0 0 0 15px;
	padding: 0;
	float: left;
	height: 27px;
	line-height: 27px;
	text-transform: uppercase;
}
#header .widget_socialnet a {
	display: block;
	margin: 0;
	padding: 0 32px 0 0;
	color: #999;
}
#header .widget_socialnet .facebook a {
	background: transparent url('../images/bg-sn-facebook.png') right center no-repeat;
}
#header .widget_socialnet .rss a {
	background: transparent url('../images/bg-sn-rss.png') right center no-repeat;
}



